#include <bits/stdc++.h>
using namespace std;
int main(){
	int n,m;
	long long num[1000][1000]={0};
	vector<int> smt;
	cin >> n >> m;
	for(int i = 0; i < m; i++){
		int a;
		cin >> a;
		a--;
		int in1 = a/1000, in2 = a%1000;
		if(num[in1][in2]!=-1) num[in1][in2]+=1;
		if(num[in1][in2]==n){
			smt.push_back(a+1);
			num[in1][in2]=-1;
		}
	}
	cout << smt.size() << '\n';
	for(auto x : smt){
		cout << x << ' ';
	}
}